import { __require as requireText } from './text.mjs';
import { __require as requireSelect } from './select.mjs';
import { __require as requireToggle } from './toggle.mjs';
import { __require as requireDate } from './date.mjs';
import { __require as requireNumber } from './number.mjs';
import { __require as requireMultiselect } from './multiselect.mjs';
import { __require as requireAutocomplete } from './autocomplete.mjs';
import { __require as requireAutocompleteMultiselect } from './autocompleteMultiselect.mjs';
import { __require as requireConfirm } from './confirm.mjs';

var elements;
var hasRequiredElements;
function requireElements() {
  if (hasRequiredElements) return elements;
  hasRequiredElements = 1;
  elements = {
    TextPrompt: requireText(),
    SelectPrompt: requireSelect(),
    TogglePrompt: requireToggle(),
    DatePrompt: requireDate(),
    NumberPrompt: requireNumber(),
    MultiselectPrompt: requireMultiselect(),
    AutocompletePrompt: requireAutocomplete(),
    AutocompleteMultiselectPrompt: requireAutocompleteMultiselect(),
    ConfirmPrompt: requireConfirm()
  };
  return elements;
}

export { requireElements as __require };
